@import url('https://fonts.googleapis.com/css2?family=Raleway&display=swap');
.detail-page {
    background: $detail-page-color;
    position: absolute;
    width: calc(100% - 400px);
    border-radius: 51px;
    display: flex;
    flex-direction: column;
    z-index: 0;
    padding-left: 10%;
    padding-right: 4%;
    padding-bottom: 2%;
    transition: ease-in-out .5s;

    &__title {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        margin-top: 15px;

    }

    &__title-path {
        ul {
            display: flex;
            flex-direction: row;

            li,
            a {
                text-decoration: none;
                padding: 5px;
                color: #b7babd;
                font-size: map-get($font-size , "small");
            }
        }
    }

    &__title-left {
        display: flex;
        flex-direction: column;
        align-items: center;


    }

    &__title-h2 {
        padding: 5px;
        font-size: map-get($font-size , "title");
        color: $primary-color;
        line-height: 40px;
        font-weight: 500;
        display: flex;
        flex-direction: row;
        
        &__title-icon
        {
            margin: 5px;
            color: $primary-color;
        }
        &__title-icon i {
            margin: 0;
            padding: 0;
            font-size: map-get($font-size, "title");
        }
    }

    &__title-right {
        padding: 5px;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;

        button {
            margin: 10px;
        }

    }

    &__search {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        font-size: map-get($font-size, "big");
        margin: 2% 0 2% 0;

        .search-input {
            display: flex;
            flex-direction: row;
            margin: 5px;
            padding: 5px;
            border-bottom: 2px solid #D4E3F0;

            &__icon i {
                color: $primary-color;
                font-size: 14pt;
                margin: 0;
                padding: 0;
            }

            &__text {
                width: 400px;
                margin-left: 5px;
                color: #85A5C2;

                input[type="text"] {
                    width: 100%;
                    background: transparent;
                    border: none;
                }
            }
        }
    }


}